> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List conversion attributions for a Facebook Ads campaign



## OpenAPI

````yaml /openapi.json get /facebook_ads_campaigns/{id}/conversion_attributions
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /facebook_ads_campaigns/{id}/conversion_attributions:
    get:
      tags:
        - Facebook ads campaigns
      summary: List conversion attributions for a Facebook Ads campaign
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the campaign
          required: true
        - in: query
          name: start_date
          schema:
            type: string
          description: >-
            Start of the conversions date range (ISO 8601 date, defaults to 30
            days ago)
          required: false
        - in: query
          name: end_date
          schema:
            type: string
          description: End of the conversions date range (ISO 8601 date, defaults to today)
          required: false
      responses:
        '200':
          description: List of conversion attributions for the campaign
          content:
            application/json:
              schema:
                type: object
                properties:
                  conversion_attributions:
                    type: array
                    items:
                      $ref: '#/components/schemas/ConversionAttribution'
                    description: List of conversion attributions
                required:
                  - conversion_attributions
components:
  schemas:
    ConversionAttribution:
      type: object
      properties:
        id:
          type: string
          description: The ID of the conversion attribution
        amount:
          type: number
          description: The conversion amount
        currency:
          type: string
          description: The currency of the conversion amount
        created_at:
          type: string
          description: When the conversion was recorded (ISO8601)
        last_touch_source:
          type: string
          enum:
            - google
            - facebook
            - campaign
            - trigger
            - email_blast
          nullable: true
          description: The source of the last marketing touch before the conversion
        customer:
          type: string
          nullable: true
          description: The customer ID (expandable to the full customer object)
        last_touch_google_ads_campaign:
          type: string
          nullable: true
          description: >-
            The last-touch Google Ads campaign ID (expandable to the campaign
            object)
        last_touch_facebook_ads_campaign:
          type: string
          nullable: true
          description: >-
            The last-touch Facebook Ads campaign ID (expandable to the campaign
            object)
      required:
        - id
        - amount
        - currency
        - created_at
        - last_touch_source
        - customer
        - last_touch_google_ads_campaign
        - last_touch_facebook_ads_campaign
      title: The Conversion Attribution object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````